org.wildfly.swarm.container.config

## Class ConfigViewFactory

- java.lang.Object
- - org.wildfly.swarm.container.config.ConfigViewFactory

-     public class ConfigViewFactory
      extends Object

  Since:
    07/04/16
  Author:
    Heiko Braun

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigViewFactory(Properties properties)`
    `ConfigViewFactory(Properties properties, Map<String,String> environment)`
    `ConfigViewFactory(Properties properties, Map<String,String> environment, ConfigLocator... locators)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLocator(ConfigLocator locator)`
    `static ConfigViewFactory` | `defaultFactory()`
    `static ConfigViewFactory` | `defaultFactory(Properties properties, Map<String,String> environment)`
    `ConfigViewImpl` | `get()`
    `ConfigViewImpl` | `get(boolean activate)`
    `ConfigViewFactory` | `load(String profileName)`
    `void` | `load(String profileName, URL url)`
    `void` | `withFilter(ConfigurationFilter filter)`
    `void` | `withProfile(String name)`
    `void` | `withProperty(String name, String value)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigViewFactory

          public ConfigViewFactory(Properties properties)

    - #### ConfigViewFactory

          public ConfigViewFactory(Properties properties,
                                   Map<String,String> environment)

    - #### ConfigViewFactory

          public ConfigViewFactory(Properties properties,
                                   Map<String,String> environment,
                                   ConfigLocator... locators)

  - ### Method Detail

    - #### defaultFactory

          public static ConfigViewFactory defaultFactory()
                                                  throws ModuleLoadException

      Throws:
        `ModuleLoadException`

    - #### defaultFactory

          public static ConfigViewFactory defaultFactory(Properties properties,
                                                         Map<String,String> environment)
                                                  throws ModuleLoadException

      Throws:
        `ModuleLoadException`

    - #### addLocator

          public void addLocator(ConfigLocator locator)

    - #### load

          public ConfigViewFactory load(String profileName)

    - #### load

          public void load(String profileName,
                           URL url)
                    throws IOException

      Throws:
        `IOException`

    - #### get

          public ConfigViewImpl get()

    - #### get

          public ConfigViewImpl get(boolean activate)

    - #### withProfile

          public void withProfile(String name)

    - #### withProperty

          public void withProperty(String name,
                                   String value)

    - #### withFilter

          public void withFilter(ConfigurationFilter filter)

Copyright © 2018 JBoss by Red Hat. All rights reserved.